/*!
 * Copyright Adaptavist 2025 (c) All rights reserved
 */
import { Owner } from './Owner';
export interface DeleteMarkerEntry {
    /**
     * Specifies whether the object is (true) or is not (false) the latest version of an object.
     */
    IsLatest?: boolean;
    /**
     * The object key.
     */
    Key?: string;
    /**
     * Date and time when the object was last modified.
     */
    LastModified?: string;
    /**
     * The account that created the delete marker.
     */
    Owner?: Owner;
    /**
     * Version ID of an object.
     */
    VersionId?: string;
}
//# sourceMappingURL=DeleteMarkerEntry.d.ts.map