/*!
 * Copyright Adaptavist 2025 (c) All rights reserved
 */
import { Owner } from './Owner';
import { S3Bucket } from './S3Bucket';
export interface S3Buckets {
    /**
     * The list of buckets owned by the requester.
     */
    Buckets: S3Bucket[];
    /**
     * ContinuationToken is included in the response when there are more buckets that can be listed with pagination. The next ListBuckets request to Amazon S3 can be continued with this ContinuationToken. ContinuationToken is obfuscated and is not a real bucket.
     */
    ContinuationToken?: string;
    /**
     * The owner of the buckets listed.
     */
    Owner: Owner;
    /**
     * If Prefix was sent with the request, it is included in the response.
    
    All bucket names in the response begin with the specified bucket name prefix.
     */
    Prefix?: string;
}
//# sourceMappingURL=S3Buckets.d.ts.map